function TimeSeriesPlots

% Data for Missile shape
    global title1
    global TData1
    global TVariable1
% Data for Displacement of hind end of missile
    global title2
    global TData2
    global TVariable2

hold on;
figure;
plot(TVariable1, TData1);
title(title1);
hold off;

hold on;
figure;
size(TData2),
plot(TVariable2, TData2(1,:), 'r-', TVariable2, TData2(2,:), 'b:', TVariable2, TData2(3,:), 'k-.');
title(title2);
legend('at x=L0','at x=L0/2','at x=0');
hold off;


% Saving the outputs
save 'last_run_outputs.mat' TData1 TVariable1 TData2 TVariable2
