function TimeSeriesProbes(this_time)

% Data for Missile shape
    global Data1TimePointsNo
    global title1
    global TData1
    global TVariable1
% Data for Displacement of hind end of missile
    global Data2TimePointsNo
    global title2
    global TData2
    global TVariable2

% Global data for including in time series data
global dt L0 solveTimeSteps ss U0

%---------------------------------------
timeIndex = round(this_time/dt) + 1;
%---------------------------------------

% Shape of the Missile
Data1TimePointsNo = 10;                                         % Change
TimeStepInterval = round(solveTimeSteps/Data1TimePointsNo);     % Change
if mod(timeIndex, TimeStepInterval) == 0
    dataIndex = round(timeIndex/TimeStepInterval);
    title1 = 'Shape of the missile at different time instants'; % Change
    TVariable1 = (0:L0/100:L0);                                 % Change
    TData1(dataIndex, :) = shapeDisp_p(TVariable1);             % Change
end

% Displacement of hind end of missile
Data2TimePointsNo = 1000;
TimeStepInterval = round(solveTimeSteps/Data2TimePointsNo);
if mod(timeIndex, TimeStepInterval) == 0
    dataIndex = round(timeIndex/TimeStepInterval);
    title2 = 'Displacement at different positions with time';
    TVariable2(dataIndex) = this_time;
    TData2(1, dataIndex) = shapeDisp_p(L0);
    TData2(2, dataIndex) = shapeDisp_p(L0/2);
    TData2(3, dataIndex) = shapeDisp_p(0);
    %shapeDisp_p(0),
end
