function [shapeDisp_p] = shapeDisp_p(l)
% Returns the current shape displacement in pitch plane at position l
%
% ss, the state vector given by,
%       ss = [ u v w   DpAng DqAng DrAng   pAng qAng rAng   Dq_p(1) Dq_p(2) ... Dq_p(modesNo)   q_p(1) q_p(2) ... q_p(modesNo)]'

global q_p modesNo
global ss

shapeDisp_p = 0;
for n = 1:modesNo,
    shapeDisp_p = shapeDisp_p + ss(9+modesNo+n)*phi_p(n, l);
end
