function steadystate_eliminate
%% Updating the steady state values!

% Angle, Velocity and accleration components --> constants
global U0 V0 W0
global P0 Q0 R0
global dU0 dV0 dW0
global dP0 dQ0 dR0
global pAng0 qAng0 rAng0
% Purturbation Angle, Velocity and accleration components --> Time dependant scalers
global pAng qAng rAng
global u v w
global p q r
global du dv dw
global dp dq dr

U0 = U0 + u;
u = 0;
dU0 = du;

qAng0 = qAng0 + qAng;
qAng = 0;

Q0 = Q0 + q;
q = 0;
dQ0 = dq;
