function [Dphi_p] = Dphi_p(n, x)
% Returns the slope of n th mode shape at position x
global beta Amode Bmode

betaX = beta(n)*x;
Dphi_p = beta(n) * (Amode(n)*(sinh(betaX) - sin(betaX)) + Bmode(n)*(cosh(betaX) + cos(betaX)));
