function [phi_p] = phi_p(n, x)
% Returns the displacement of n th mode shape at position x
global beta Amode Bmode

betaX = beta(n)*x;
phi_p = Amode(n)*(cosh(betaX) + cos(betaX)) + Bmode(n)*(sinh(betaX) + sin(betaX));
